Add "IfInstalled: foo Install: bar" to DistUpgrade.cfg (was: Upgrade to dapper breaks mp3 playback)

Bug #36929 reported by Ryan Pavlik on 2006-03-27
10
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Wishlist
Michael Vogt

Bug Description

I had installed MP3 playback on my system during Hoary, and it stayed functioning during the upgrade to Breezy. However, it no longer functions (in Totem or in Rhythmbox) now that I am using Dapper. I think this is because of the gstreamer-0.10 upgrade, however, there should be a transition package or some other mechanism to maintain the same level of features over an upgrade.

Sebastien Bacher (seb128) wrote :

Thanks for your bug. Do you have gstreamer0.10-plugins-ugly installed?

Michael, can the upgrade tools install gstreamer0.10-plugins-ugly if gstreamer0.8-mad was installed before upgrade?

Changed in totem:
assignee: nobody → desktop-bugs
status: Unconfirmed → Needs Info
Ryan Pavlik (abiryan) wrote :

Installing the ugly plugins indeed works - the upgrade tool ought to have this package changed marked.

Michael Vogt (mvo) wrote :

We could hack something like this into the dist-upgrader.

Changed in update-manager:
importance: Medium → Wishlist
Jean-Baptiste Lallement (jibel) wrote :

I'm closing this report because the issue was related to the update of gstreamer-plugins when upgrading to dapper. It's not relevant anymore.

Changed in update-manager (Ubuntu):
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers